<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('entry_hashes', function (Blueprint $table) {
            $table->id();
            $table->foreignId( 'entry_id' )->constrained()->cascadeOnDelete();
            $table->string( 'filename', 256 );
            $table->string('hash_crc32', 256);
            $table->string('hash_sha1', 256 );
            $table->string( 'verified', 256 );
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('entry_hashes');
    }
};
